ATI 5450 and UP5

Questions about hardware and drivers
Forum rules
Before you post please read this

ATI 5450 and UP5

Postby jjaythomas on Sun Sep 23, 2012 4:58 pm

Been away from LMDE awhile (playing LMint13-Xfce :P )

Been reading ATI and UP5 threads confused now :oops:
What is the recomended way to install the ATI Radeon driver? Andis it worth it for a Cedar Pro/Radeon 5450 (I believe)?

Note running UP5 from a 'Swift linux Base install' with Xfce 32bit DE packages and the 686pae kernel.

Thank You
J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm

Linux Mint is funded by ads and donations.
 

Re: ATI 5450 and UP5

Postby nicolaasjan on Mon Sep 24, 2012 5:59 am

Hi jjaythomas,

I have the same card as you have:

Code: Select all
nico@nico-desktop ~ $ inxi -SxxxGx
System:    Host nico-desktop Kernel 3.2.0-3-amd64 x86_64 (64 bit) Distro Linux Mint Debian Edition
Graphics:  Card Advanced Micro Devices [AMD] nee ATI Cedar PRO [Radeon HD 5450] X.Org 1.12.1.902 Res: 1280x1024@60.0hz
           GLX Renderer ATI Radeon HD 5450 GLX Version 4.2.11762 Compatibility Profile Context Direct Rendering Yes
nico@nico-desktop ~ $


I can tell you there are no problems when running the Mate desktop environment.
I have installed the fglrx driver from the repository.
Not sure about Cinnamon or Xfce.
Perhaps someone else can clarify.
User avatar
nicolaasjan
Level 1
Level 1
 
Posts: 5
Joined: Sun Sep 23, 2012 2:26 pm

Re: ATI 5450 and UP5

Postby sobrus on Mon Sep 24, 2012 7:53 am

Fglrx 12.6 from UP5 repository should work perfectly good with any HD5xxx card (or newer).
Cinnamon works much better than on UP4 (fglrx 12.2).
Compiz and Mate works just as good.
Video acceleration works too (it didn't on UP4).

I expect xfce to work well too, since it doesn't use any fancy acceleration or 3d effects.

The only problem I observed is lack of 3D acceleration in wine.
So - if you play games on wine be careful and make backup before update.

I've tested using HD5670.
sobrus
Level 2
Level 2
 
Posts: 87
Joined: Thu Aug 30, 2012 1:36 am

Re: ATI 5450 and UP5

Postby jjaythomas on Mon Sep 24, 2012 9:48 pm

Thank You both for replies :D

Reason I ask is I switch Computers between wife and myself ,ones A Thinkpad X200 (curently wife's with Xubuntu) and homebuilt one (curently swift/LMDE UP5) with the Radeon. Last I had this was a early LMDE (used when switched to using UPack system) and installed driver using SGFXI scrift (I think :roll: ). But I see saying script not working with UP5 others saying FGLRX not working (and some like yous) saying it is.

So was just wodering...
1.If worth trouble (default working fine without 'FGLRX)
2. If any new tricks to doing it (what works/what not)

Hoping To do LMDE (Swift :wink: ) on both to keep from (6 month or so) fresh installs.
P.S. both 64 bit capable (TPad 8GB memory) but 686-pae seems just as fast (exspecially boot wise with swift) :wink:

Thank Again
J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm

Re: ATI 5450 and UP5

Postby sobrus on Tue Sep 25, 2012 1:48 am

I don't know anything about sgfxi (I'm new here coming from suse), but fglrx seems to be working fine in UP5 except from 32-bit applications like wine.
I just installed fglrx-driver and fglrx-control with all required dependencies, then "sudo aticonfig --initial" and then reboot.
And it works.
During UP4 -> UP5 update I did absolutely nothing with fglrx. It was just updated and still works.
sobrus
Level 2
Level 2
 
Posts: 87
Joined: Thu Aug 30, 2012 1:36 am

Re: ATI 5450 and UP5

Postby jjaythomas on Wed Sep 26, 2012 10:13 pm

Thank You Sobrus...
That's how figured will do. Read some post say one way, other way driver not working, working better (very confused).
mostly wondering if worth for a 5 series (getting kinda old now)?
The default/open source driver seem to work very well already. :roll:

Thanks
J.Jay
jjaythomas
Level 5
Level 5
 
Posts: 597
Joined: Sun Mar 07, 2010 12:52 pm


Return to Hardware Support

Who is online

Users browsing this forum: vankish and 4 guests